CHALOW(1p)

NAME
chalow - weblog tool that converts ChangeLog to HTML

SYNOPSIS
chalow [OPTION]... CHANGELOG...

DESCRIPTION
chalow is a weblog tool written in Perl. It converts ChangeLog to HTML and RSS.

The options are as follows:

-n, --top-n=NUM
    write NUM days to index.html

-o, --output-dir=DIR
    directory to output

-c, --configure-file=FILE
    configure file

-s, --stop-date=DATE
    date to stop processing

-u, --update-by-size
    overwrite only if sizes are different

-C, --css=FILE
    css file

-q, --quiet
    quiet mode

-8, --utf8
    utf8 mode

-d, --debug
    debug mode

EXAMPLES

  Generate index.html, cl.rdf, etc. from ChangeLog:
chalow ChangeLog

  Generate index.html, cl.rdf, etc. from ChangeLog with cl.conf:
chalow -c cl.conf ChangeLog

  Generate index.html, cl.rdf, etc. into the $HOME/public_html/diary directory from ChangeLog* (such as ChangeLog, ChangeLog.2, ChangeLog.old) with cl.conf in utf8 mode:
chalow --utf8 -o $HOME/public_html/diary -c cl.conf ChangeLog*

BUGS
chalow assumes that ChangeLog file is encoded with EUC-JP or US-ASCII by default. If you want to use UTF-8, use the utf8 mode option (`-8' or `--utf8'). Other encodings, such as ISO-8859-1, ISO-8859-15, EUC-KR, are not supported.

This manual page is provided by Debian. It is not integrated in the upstream source.

SEE ALSO
More information is available at `/usr/share/doc/chalow' on Debian systems.